# norootforbuild

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python_version: %global python_version %(%{__python} -c "import sys; sys.stdout.write(sys.version[:3])")}

Name:           openerp-web
Version:        6.0.4
Release:        0.1
Summary:        Open Source Business Application
Source:         http://www.openerp.com/download/stable/source/%{name}-%{version}.tar.gz
Source1:        openerp-web-init
Source2:        openerp-web-log-rotate
URL:            http://www.openerp.com
Group:          Productivity/Office/Finance
License:        Affero
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
#BuildRequires:  python python-devel python-setuptools pkgconfig gcc glibc-devel fdupes python-lxml libxslt

%if 0%{?suse_version} > 1120
BuildRequires:  python python-devel python-setuptools pkgconfig gcc glibc-devel fdupes python-lxml
%else
BuildRequires:  python python-devel python-setuptools pkgconfig gcc glibc-devel fdupes python-lxml libxslt
%endif 

Requires:       python python-CherryPy python-mako python-babel python-formencode python-simplejson python-parsing
Requires:       python-base >= %{python_version} openerp-server python-markupsafe python-setuptools
BuildArch:      noarch
%py_requires

%description
OpenERP CRM and sales management allows you to track your sales activities from the first contact
all the way to the fulfilment of the sales order.Leads initiated from the contact form on your website
are automatically integrated in the CRM. OpenERP allows you to keep track of all mails and documents
exchanged with the customers.

This is the Web Client.

#%lang_package
%debug_package
%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%{__python} ./setup.py build

%install
%{__python} ./setup.py install \
    --optimize 1 \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=files.lst

mkdir -p $RPM_BUILD_ROOT/etc/init.d/
cp doc/%{name}.cfg $RPM_BUILD_ROOT/etc/
#cp %_sourcedir/%{name}.cfg $RPM_BUILD_ROOT/etc/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
mv doc/%{name}.cfg $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
mv doc/packaging.txt $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
mv doc/ChangeLog $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
mv doc/LICENSE.txt $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
rm -rf $RPM_BUILD_ROOT/usr/doc
cp %{_sourcedir}/%{name}-init $RPM_BUILD_ROOT/etc/init.d/%{name}
chmod +x $RPM_BUILD_ROOT/etc/init.d/%{name}
rm -rf $RPM_BUILD_ROOT/usr/scripts
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/log/openerp
ln -s ../../etc/init.d/%{name} $RPM_BUILD_ROOT/usr/sbin/rc%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mv $RPM_BUILD_ROOT/usr/addons $RPM_BUILD_ROOT/usr/lib/python%{python_version}/site-packages
cp %{_sourcedir}/%{name}-log-rotate $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
%global logfile /var/log/openerp/openerp-web.log
rm -rf $RPM_BUILD_ROOT/usr/addons
cp -ru $RPM_BUILD_ROOT/usr/openobject/* $RPM_BUILD_ROOT/usr/lib/python%{python_version}/site-packages/openobject/
rm -rf $RPM_BUILD_ROOT/usr/openobject
cat files.lst |grep -v "/usr/addons" |grep -v "usr/doc"|grep -v  usr/openobject > reduced.lst

#%fdupes $RPM_BUILD_ROOT/%{_prefix}/openerp-web/

%clean
%__rm -rf "%{buildroot}";

%global username openerp

%preun
/etc/init.d/%{name} stop

%postun
%{insserv_cleanup}

#%files lang
#%defattr(-,root,root)
#/usr/share/locale/

%files -f reduced.lst
%defattr(-,root,root)
%doc /usr/share/doc/packages/%{name}*
/usr/sbin/rc%{name}
%attr(0755,root,root) /etc/init.d/%{name}
%config /etc/%{name}.cfg
%config /etc/logrotate.d/%{name}
/usr/lib/python%{python_version}/site-packages/addons
/usr/lib/python%{python_version}/site-packages/openobject/static
/usr/lib/python%{python_version}/site-packages/openobject/admin/i18n/mapping
/usr/lib/python%{python_version}/site-packages/openobject/controllers/templates
/usr/lib/python%{python_version}/site-packages/openobject/widgets/templates

%changelog
* Thu Apr 05 2012 joe_morris@ntm.org
- Update to 6.0.4
* Sat Oct 15 2011 stefan@invis-server.org
- Some changes in the init-script
* Wed Aug 24 2011 stefan@invis-server.org
- fixed a lot off bugs in specfile
* Tue Aug 23 2011 stefan@invis-server.org
- PID-File handling in init-script fixed
* Sun Aug 21 2011 stefan@invis-server.org
- New Version 6.0.3
* Thu Aug 11 2011 jan.weber@opensuse.org
- fixed spec for building on openSUSE 11.4 and openSUSE Factory
* Sun Apr 10 2011 stefan@invis-server.org
- New Version 6.0.2
* Tue Nov 09 2010 imlordlt@gmail.com
- updated to version 5.0.15
* Fri Oct 01 2010 imlordlt@gmail.com
- Reverted to run has root
* Sun Sep 19 2010 imlordlt@gmail.com
- added init.d and logrotate.d scripts
- created pre and post scripts
* Thu Sep 16 2010 imlordlt@gmail.com
- initial package
